<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, mainContent=~{::mainContent}, breadcrumbs=~{::breadcrumbs})}">
<head>
    <title>Form Administration Console</title>
    <th:block th:fragment="scripts">
        <script th:src="@{/js/app/authority/import.js}"></script>
    </th:block>
</head>
<body>
    <ol class="breadcrumb" th:fragment="breadcrumbs">
        <li>
            <a th:href="@{/}" th:text="#{Home}"></a>
        </li>
        <li class="active">
            <span th:text="#{Authorities}"></span>
        </li>
    </ol>
    <div th:fragment="mainContent">
        <div th:replace="commons/modal::default(id='confirmModal', title='Confirm')"></div>
        <div class="row">
            <div class="upload-form col-md-12">
                <h1 th:text="#{Import authorities}"></h1>
                <p th:text="#{Page to import authorities}"/>
                <p th:text="#{The file is UTF-8, semicolon separated without parentheses}"/>
                <form class="form" th:action="@{/authority/import}" method="post" enctype="multipart/form-data">
                    <div class="form-group">
                        <div class="row">
                            <label class="control-label col-md-4" for="ref" th:text="#{CFE and towns referential}" />
                            <div class="col-md-4">
                                <input type="file" name="autorities" data-toggle="file" data-remove="no" data-upload="no" data-auto-upload="no" />
                            </div>
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-2 col-md-offset-4">
                                <input th:type="checkbox" id="dry-run" name="dryRun" /> <label th:for="dry-run" th:text="#{Dry run}" />
                            </div>
                            <div class="col-md-4">
                                <button id="btn-submit-import" type="submit" class="btn btn-primary" th:text="#{Inject}"></button>
                            </div>
                        </div>
                    </div>
                </form>
                <h2 th:text='|#{Description of the file} "#{CCI, CA, CMA, GREFFE, URSSAF}"|'></h2>
<pre id="req-users-authorities" class="btn-copy-target">

</pre>
                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">Nom</th>
                            <th scope="col">Description</th>
                            <th scope="col">Exemples</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>ch_cfe</td>
                            <td>Code EDI</td>
                            <td>U0101, U0301, U0501, ...</td>
                        </tr>
                        <tr>
                            <td>ch_nom</td>
                            <td>Nom de l'autorité compétente.</td>
                            <td>URSSAF DE L'AIN, URSSAF DE L'AISNE, ...</td>
                        </tr>
                        <tr>
                            <td>ch_nompostal</td>
                            <td>Nom postal </td>
                            <td>URSSAF DE L'AIN, URSSAF DE L'AISNE, ...</td>
                        </tr>
                        <tr>
                            <td>ch_commune</td>
                            <td>Code commune.</td>
                            <td>01053, 02408 , 02408, ...</td>
                        </tr>
                        <tr>
                            <td>ch_num</td>
                            <td>Numéro de la voie</td>
                            <td>13, 116, ...</td>
                        </tr>
                        <tr>
                            <td>ch_rep</td>
                            <td>Indice de répétition</td>
                            <td>B, T</td>
                        </tr>
                        <tr>
                            <td>ch_typ</td>
                           <td>Abréviation du type de voie</td>
                            <td>RUE, AV,...</td>
                        </tr>
                        <tr>
                            <td>ch_voi</td>
                            <td>Nom de la voie</td>
                            <td>Alphonse Richard, Georges Pompidou, ...</td>
                        </tr>
                        <tr>
                            <td>ch_cpl</td>
                            <td>Complément d'adresse</td>
                            <td>Villa chapuletepec ...</td>
                        </tr>
                        <tr>
                            <td>ch_spe</td>
                            <td>Distribution spéciale</td>
                            <td>BP 60, ...</td>
                        </tr>
                        <tr>
                            <td>ch_pos</td>
                            <td>Code postal </td>
                            <td>01016, 02020, ...</td>
                        </tr>
                        
                         <tr>
                            <td>ch_cdx</td>
                            <td>Cedex</td>
                            <td>Cedex 75312</td>
                        </tr>
                        
                         <tr>
                            <td>ch_tel</td>
                            <td>Numéro de téléphone</td>
                            <td>0492531193</td>
                        </tr>
                        
                         <tr>
                            <td>ch_fax</td>
                            <td>Numéro de fax</td>
                            <td>013456789</td>
                        </tr>
                        
                        <tr>
                            <td>ch_obs</td>
                            <td>Observations</td>
                            <td>Accueil physique de 8h à 16h, ...</td>
                        </tr>
                        <tr>
                            <td>ch_mail</td>
                            <td>Email </td>
                            <td>jean.dupont@gmail.com</td>
                        </tr>
                        
                    </tbody>
                </table>
                <h2 th:text='|#{Description of the file} "#{towns partners configuration}"|'></h2>
<pre id="req-cfe-towns-ref" class="btn-copy-target">

</pre>
                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">Nom</th>
                            <th scope="col">Description</th>
                            <th scope="col">Exemples</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>ch_nom</td>
                            <td>Nom de l'autorité</td>
                            <td>Amberieux-en-dombes,Abois,Crach,...</td>
                        </tr>
                        <tr>
                            <td>ch_commune</td>
                            <td>Code commune</td>
                            <td>39013,56046,...</td>
                        </tr>
                        <tr>
                            <td>ch_cma</td>
                            <td>Code de la CMA</td>
                            <td>57463, 39013,...</td>
                        </tr>
                        <tr>
                            <td>ch_cci</td>
                            <td>Code CCI</td>
                            <td>M0101, M3901,...</td>
                        </tr>
                        <tr>
                            <td>ch_ca</td>
                            <td>Code CA</td>
                            <td>c0101, C3901,...</td>
                        </tr>
                        <tr>
                            <td>ch_urssaf</td>
                            <td>Code URSSAF</td>
                            <td>C5701, C5706,...</td>
                        </tr>
                        <tr>
                            <td>ch_greffe</td>
                            <td>Code greffe</td>
                            <td>U0101, U3901,...</td>
                        </tr>
                        <tr>
                            <td>ch_cnba</td>
                            <td>Code de la Chambre Nationale de la Batellerie Artisanale</td>
                            <td>Z0000</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</body>
</html>
